<!--  -->
<template>
  <div>
    <!-- 头部导航 -->
    <TopNavBar @on-click-right="onClickNews" />
    <!-- 页面  -->
    <div class="tabbar-container">
      <router-view />
    </div>
    <!-- tabbar 组件 -->
    <TabBar />
  </div>
</template>

<script>
import TopNavBar from '@/components/TopNavBar';
import TabBar from '@/components/TabBar';
export default {
  components: { TopNavBar, TabBar },
  data() {
    return {};
  },
  created() {},
  mounted() {},
  methods: {
    onClickNews() {
      let currentRoute = this.$route.name;
      this.$router.push({
        name: 'news',
        query: {
          toRouter: currentRoute
        }
      });
    }
  }
};
</script>
<style>
.van-tabbar {
  z-index: 999 !important;
}
.tabbar-container {
  padding: 100.06px 0px;
}
</style>
